{pkgs, ...}: {
  imports = [
    ../nogui
    ./firefox.nix
    ./gtk.nix
    ./spotifyd.nix
    ./tiny.nix
    ./wezterm.nix
  ];
  home = {
    packages = with pkgs; [
      # Tools
      delve
      discord
      obsidian
      spotify-tui

      # LSPs
      lua-language-server
      marksman
      nodePackages.yaml-language-server

      # Formatters
      nodePackages.lua-fmt
      python3Packages.black

      # IDEs
      jetbrains.goland

      # Personal NUR
      nur.repos.jolheiser.gomodinit
      nur.repos.jolheiser.imp
      nur.repos.jolheiser.kv
      nur.repos.jolheiser.tmpl
    ];
  };
}
